import HttpKit from '@/utils/http-kit'
import { add } from 'lodash'

export default {
  /**
   * 功能描述：关联
   * @param form
   */
  page (form) {
    return HttpKit.post('/admin/levelTimu',form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：获取全部关联到关卡的题库
   * @param 
   */
  getAllRelation(levelId){
    return HttpKit.get('/admin/levelTimu/'+levelId+'/link').then(
      res => res.data
    )
  },
  /**
   * 功能描述：取消关联
   * @param 
   */
  getCancelConnection(form){
    return HttpKit.post('/admin/levelTimu/association/delete',form).then(
      res => res.data
    )
  },

  add(from){
    return HttpKit.post('/admin/levelTimu/add',from)
  },

  update(from){
    return HttpKit.put('/admin/levelTimu',from)
  },

  removeTm(id){
    return HttpKit.delete('/admin/levelTimu/'+id)
  },

  getTmInfo(id){
    return HttpKit.get('/admin/levelTimu/'+id)
  }
}
