-- MySQL dump 10.13  Distrib 8.0.13, for Win64 (x86_64)
--
-- Host: localhost    Database: base-in-back-end
-- ------------------------------------------------------
-- Server version	8.0.13

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 SET NAMES utf8 ;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `student` (
  `id` char(225) NOT NULL,
  `name` varchar(225) NOT NULL,
  `password` varchar(225) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student`
--

LOCK TABLES `student` WRITE;
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` VALUES ('1','zhangsan','123456'),('2','lisi','123456'),('3','wangwu','123456'),('4','admin','123456'),('5','cqj','123456'),('6','lch','123456'),('7','cqx','123456');
/*!40000 ALTER TABLE `student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_common_data_dict`
--

DROP TABLE IF EXISTS `t_common_data_dict`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `t_common_data_dict` (
  `id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `parent_id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '父级标识',
  `dict_key` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典唯一标识',
  `code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典编码',
  `value` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '字典值',
  `attr` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '扩展字段',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `remarks` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `created_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `last_modified_date` datetime NOT NULL COMMENT '更新时间',
  `last_modified_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '更新人',
  `is_del` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `last_modified_by_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '更新人名称',
  `created_by_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '创建人名称',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `un_idx_parent_id_dict_key` (`parent_id`,`dict_key`) USING BTREE,
  KEY `idx_parent_id` (`parent_id`) USING BTREE,
  KEY `idx_dict_key` (`dict_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='数据字典';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_common_data_dict`
--

LOCK TABLES `t_common_data_dict` WRITE;
/*!40000 ALTER TABLE `t_common_data_dict` DISABLE KEYS */;
INSERT INTO `t_common_data_dict` VALUES ('1300355178658131970','664039707222474752','2321321','12323','23123123','13123213',123,'123123','2020-08-31 16:50:09','1','2020-08-31 16:50:09','1',_binary '\0',NULL,'1'),('1300454432588177409',NULL,'2','2','2','',NULL,'','2020-08-31 23:24:33','1','2020-08-31 23:24:41','2',_binary '',NULL,'1'),('1302145187950108674',NULL,'222','3333','3332','333',33,'33','2020-09-05 15:23:00','1','2020-09-05 15:52:23','2',_binary '',NULL,'1'),('1302154171700477954',NULL,'11','11','1','1',1,'1','2020-09-05 15:58:42','1','2020-09-05 15:58:42','1',_binary '\0',NULL,'1'),('1303576232427823106',NULL,'1','2','3','4',6,'5','2020-09-09 14:09:28','1','2020-09-09 14:09:28','1',_binary '','1','1'),('664039707222474752',NULL,'COMMON_SUBJECT','SUBJECT','学科','',NULL,'','2020-01-07 09:36:43','1','2020-01-07 09:36:43','1',_binary '\0','1','1'),('664042487957946368','664039707222474752','YU_WEN','YU_WEN','语文','',NULL,'','2020-01-07 09:47:46','1','2020-01-07 09:47:46','1',_binary '\0','1','1'),('664042760726118400','664039707222474752','SHU_XUE','SHU_XUE','数学','',NULL,'','2020-01-07 09:48:51','1','2020-01-07 09:48:51','1',_binary '\0','1','1'),('664042954024812544','664039707222474752','YING_YU','YING_YU','英语','',NULL,'','2020-01-07 09:49:38','1','2020-01-07 09:49:38','1',_binary '\0','1','1'),('664129096770387968',NULL,'COMMON_GRADENAME','GRADENAME','年级','',NULL,'','2020-01-07 15:31:56','1','2020-01-07 15:31:56','1',_binary '\0','1','1'),('664129283970564096','664129096770387968','YI_NIAN_JI','YI_NIAN_JI','一年级','',NULL,'','2020-01-07 15:32:40','1','2020-01-07 15:32:40','1',_binary '\0','1','1'),('664129442263597056','664129096770387968','ER_NIAN_JI','ER_NIAN_JI','二年级','',NULL,'','2020-01-07 15:33:18','1','2020-01-07 15:33:18','1',_binary '\0','1','1'),('664129742022115328','664129096770387968','SAN_NIAN_JI','SAN_NIAN_JI','三年级','',NULL,'','2020-01-07 15:34:29','1','2020-01-07 15:34:29','1',_binary '\0','1','1'),('664139596350619648',NULL,'COMMON_GROUPNAME','GROUPNAME','年级分类','',NULL,'','2020-01-07 16:13:39','1','2020-01-07 16:13:39','1',_binary '\0','1','1'),('664140122538639360','664139596350619648','XIAO_XUE','XIAO_XUE','小学','',NULL,'','2020-01-07 16:15:44','1','2020-01-07 16:15:44','1',_binary '\0','1','1'),('664140249940623360','664139596350619648','ZHONG_XUE','ZHONG_XUE','中学','',NULL,NULL,'2020-01-07 16:16:15','1','2020-01-07 20:20:43','1',_binary '\0','1','1'),('664140332203507712','664139596350619648','GAO_ZHONG','GAO_ZHONG','高中','',NULL,'','2020-01-07 16:16:34','1','2020-01-07 16:16:34','1',_binary '\0','1','1'),('746040467908460544','664129096770387968','SI_NIAN_JI','SI_NIAN_JI','四年级','',NULL,'','2020-08-20 16:18:28','1','2020-08-20 16:18:28','1',_binary '\0','1','1'),('746040959287951360','664129096770387968','WU_NIAN_JI','WU_NIAN_JI','五年级','',NULL,'','2020-08-20 16:20:25','1','2020-08-20 16:20:25','1',_binary '\0','1','1'),('746041055991824384','664129096770387968','LIU_NIAN_JI','LIU_NIAN_JI','六年级','',NULL,'','2020-08-20 16:20:49','1','2020-08-20 16:20:49','1',_binary '\0','1','1'),('746041522197102592','664129096770387968','CHU_YI','CHU_YI','初一','',NULL,'','2020-08-20 16:22:40','1','2020-08-20 16:22:40','1',_binary '\0','1','1'),('746041642821091328','664129096770387968','CHU_ER','CHU_ER','初二','',NULL,'','2020-08-20 16:23:08','1','2020-08-20 16:23:08','1',_binary '\0','1','1'),('746041921218019328','664129096770387968','CHU_SAN','CHU_SAN','初三','',NULL,'','2020-08-20 16:24:15','1','2020-08-20 16:24:15','1',_binary '\0','1','1'),('746042001790599168','664129096770387968','GAO_YI','GAO_YI','高一','',NULL,'','2020-08-20 16:24:34','1','2020-08-20 16:24:34','1',_binary '\0','1','1'),('746042088688189440','664129096770387968','GAO_ER','GAO_ER','高二','',NULL,'','2020-08-20 16:24:55','1','2020-08-20 16:24:55','1',_binary '\0','1','1'),('746042177620017152','664129096770387968','GAO_SAN','GAO_SAN','高三','',NULL,'','2020-08-20 16:25:16','1','2020-08-20 16:25:16','1',_binary '\0','1','1');
/*!40000 ALTER TABLE `t_common_data_dict` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_level`
--

DROP TABLE IF EXISTS `t_level`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `t_level` (
  `id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `created_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `created_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '创建人名称',
  `last_modified_date` datetime NOT NULL COMMENT '更新时间',
  `last_modified_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '更新人名称',
  `last_modified_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '更新人\r\n',
  `is_del` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '关卡名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_level`
--

LOCK TABLES `t_level` WRITE;
/*!40000 ALTER TABLE `t_level` DISABLE KEYS */;
INSERT INTO `t_level` VALUES ('1','2020-09-07 17:59:07','1','1','2020-09-14 10:02:39','1','1',_binary '\0','关卡1'),('2','2020-09-07 18:37:06','1','1','2020-09-07 18:37:12','1','1',_binary '\0','关卡2'),('3','2020-09-07 18:37:37','1','1','2020-09-07 18:37:45','1','1',_binary '\0','关卡3'),('4','2020-09-07 18:38:02','1','1','2020-09-07 18:38:08','1','1',_binary '\0','关卡4'),('5','2020-09-07 18:38:25','1','1','2020-09-07 18:38:34','1','1',_binary '\0','关卡5'),('6','2020-09-07 18:38:52','1','1','2020-09-07 18:38:59','1','1',_binary '\0','关卡6'),('7','2020-09-07 18:39:17','1','1','2020-09-07 18:39:25','1','1',_binary '\0','关卡7'),('8','2020-09-07 18:39:58','1','1','2020-09-07 18:40:04','1','1',_binary '\0','关卡8'),('9','2020-09-07 18:40:21','1','1','2020-09-07 18:40:28','1','1',_binary '\0','关卡9');
/*!40000 ALTER TABLE `t_level` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_level_timu`
--

DROP TABLE IF EXISTS `t_level_timu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `t_level_timu` (
  `id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `created_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `created_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '创建人名称',
  `last_modified_date` datetime NOT NULL COMMENT '更新时间',
  `last_modified_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '更新人名称',
  `last_modified_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '更新人',
  `is_del` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `level_id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '关卡id',
  `timu_id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '题目id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_level_timu`
--

LOCK TABLES `t_level_timu` WRITE;
/*!40000 ALTER TABLE `t_level_timu` DISABLE KEYS */;
INSERT INTO `t_level_timu` VALUES ('1304722304323821570','2020-09-12 18:03:33','1','1','2020-09-12 18:03:33','1','1',_binary '\0','关卡id','题目id'),('1305428825068277762','2020-09-14 16:51:00','1','1','2020-09-14 16:51:00','1','1',_binary '\0','关卡id','题目id'),('1307250690053201922','2020-09-19 17:30:27','1','1','2020-09-19 17:30:27','1','1',_binary '\0','关卡1','1304618672035328001'),('1307345024891064322','2020-09-19 23:45:18','1','1','2020-09-19 23:45:18','1','1',_binary '','3','753214992186081280'),('1307876447041478658','2020-09-21 10:56:59','1','1','2020-09-21 10:56:59','1','1',_binary '\0','2','753214994362925056'),('1307876452468908033','2020-09-21 10:57:00','1','1','2020-09-21 10:57:00','1','1',_binary '\0','2','753214993276600320'),('1307876501571624961','2020-09-21 10:57:12','1','1','2020-09-21 10:57:12','1','1',_binary '\0','3','753214991095562240'),('1307876569582264321','2020-09-21 10:57:28','1','1','2020-09-21 10:57:28','1','1',_binary '\0','4','753214990005043200'),('1307876572673466370','2020-09-21 10:57:29','1','1','2020-09-21 10:57:29','1','1',_binary '\0','4','753214988914524160'),('1307876628717756417','2020-09-21 10:57:42','1','1','2020-09-21 10:57:42','1','1',_binary '\0','5','753214987828199424'),('1307876631561494529','2020-09-21 10:57:43','1','1','2020-09-21 10:57:43','1','1',_binary '\0','5','753214986741874688'),('1307876704827596802','2020-09-21 10:58:00','1','1','2020-09-21 10:58:00','1','1',_binary '\0','6','753214985651355648'),('1307876707759415298','2020-09-21 10:58:01','1','1','2020-09-21 10:58:01','1','1',_binary '\0','6','753214984560836608'),('1307876802827509762','2020-09-21 10:58:24','1','1','2020-09-21 10:58:24','1','1',_binary '\0','8','753214980194566144'),('1307876806858235905','2020-09-21 10:58:25','1','1','2020-09-21 10:58:25','1','1',_binary '\0','8','753214979104047104'),('1307876838718169090','2020-09-21 10:58:32','1','1','2020-09-21 10:58:32','1','1',_binary '\0','9','753214978009333760'),('1307876843608727553','2020-09-21 10:58:33','1','1','2020-09-21 10:58:33','1','1',_binary '\0','9','753214979104047104'),('1307876866249580545','2020-09-21 10:58:39','1','1','2020-09-21 10:58:39','1','1',_binary '\0','10','753214976910426112'),('1307876869747630081','2020-09-21 10:58:40','1','1','2020-09-21 10:58:40','1','1',_binary '\0','10','753214975517917184'),('1307877412238909442','2020-09-21 11:00:49','1','1','2020-09-21 11:00:49','1','1',_binary '\0','1','753214995558301696'),('1307884981716115457','2020-09-21 11:30:54','1','1','2020-09-21 11:30:54','1','1',_binary '\0','1','753214996644626432'),('1310772055272169473','2020-09-29 10:43:06','1','1','2020-09-29 10:43:06','1','1',_binary '\0','1','753214994362925056'),('1310772187715706882','2020-09-29 10:43:37','1','1','2020-09-29 10:43:37','1','1',_binary '\0','1','753214988914524160'),('1310772243223126018','2020-09-29 10:43:50','1','1','2020-09-29 10:43:50','1','1',_binary '\0','1','753214983470317568'),('1310772258859491330','2020-09-29 10:43:54','1','1','2020-09-29 10:43:54','1','1',_binary '\0','1','753214979104047104'),('1310772277343789058','2020-09-29 10:43:59','1','1','2020-09-29 10:43:59','1','1',_binary '\0','1','753214976910426112'),('1310772292460060674','2020-09-29 10:44:02','1','1','2020-09-29 10:44:02','1','1',_binary '\0','1','753214986741874688'),('1310773014232670210','2020-09-29 10:46:54','1','1','2020-09-29 10:46:54','1','1',_binary '\0','2','753214986741874688'),('1310773023900540929','2020-09-29 10:46:57','1','1','2020-09-29 10:46:57','1','1',_binary '\0','2','753214984560836608'),('1310773029634154497','2020-09-29 10:46:58','1','1','2020-09-29 10:46:58','1','1',_binary '\0','2','753214982383992832'),('1310773036009496577','2020-09-29 10:46:59','1','1','2020-09-29 10:46:59','1','1',_binary '\0','2','753214980194566144'),('1310773079038861314','2020-09-29 10:47:10','1','1','2020-09-29 10:47:10','1','1',_binary '\0','5','753214982383992832'),('1310773085800079361','2020-09-29 10:47:11','1','1','2020-09-29 10:47:11','1','1',_binary '\0','5','753214980194566144'),('1310773089960828930','2020-09-29 10:47:12','1','1','2020-09-29 10:47:12','1','1',_binary '\0','5','753214978009333760'),('1310773095258234882','2020-09-29 10:47:14','1','1','2020-09-29 10:47:14','1','1',_binary '\0','5','753214992186081280'),('1310773124505116674','2020-09-29 10:47:21','1','1','2020-09-29 10:47:21','1','1',_binary '\0','9','753214985651355648'),('1310773128246435841','2020-09-29 10:47:21','1','1','2020-09-29 10:47:21','1','1',_binary '\0','9','753214990005043200'),('1310773137381629953','2020-09-29 10:47:24','1','1','2020-09-29 10:47:24','1','1',_binary '\0','9','753214992186081280');
/*!40000 ALTER TABLE `t_level_timu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_paper`
--

DROP TABLE IF EXISTS `t_paper`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `t_paper` (
  `id` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '涓婚敭',
  `create_date` datetime NOT NULL COMMENT '鍒涘缓鏃堕棿',
  `created_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '鍒涘缓浜?',
  `created_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `last_modified_date` datetime NOT NULL COMMENT '鏇存柊鏃堕棿',
  `last_modified_by_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `last_modified_by` char(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '鏇存柊浜?',
  `is_del` bit(1) NOT NULL DEFAULT b'0' COMMENT '鏄惁鍒犻櫎',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `grade_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `subject` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_paper`
--

LOCK TABLES `t_paper` WRITE;
/*!40000 ALTER TABLE `t_paper` DISABLE KEYS */;
INSERT INTO `t_paper` VALUES ('1302437781301116930','2020-09-06 10:45:40','1','1','2020-09-06 10:45:40','1','1',_binary '\0','试卷名称','年级','学科'),('1302443910617899010','2020-09-06 11:10:01','1','1','2020-09-06 11:10:01','1','1',_binary '\0','string','string','string'),('1302445485847486465','2020-09-06 11:16:17','1','1','2020-09-06 11:16:17','1','1',_binary '\0','string','string','string'),('1303646677143465985','2020-09-09 18:49:23','1','1','2020-09-09 18:49:23','1','1',_binary '\0','string','string','string');
/*!40000 ALTER TABLE `t_paper` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-09-29 22:23:27
